---
type: api
title: Update settings
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-update-settings
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-update-settings
products:
  - Kibana
---

# Update settings

- Server: `https://{kibana_url}`

## Paths

- `PUT` `/api/fleet/settings`
- `PUT` `/s/{space_id}/api/fleet/settings`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

## Request Body

`application/json`

- `additional_yaml_config` (string) — optional
- `delete_unenrolled_agents` (object) — optional
  - `enabled` (boolean) — optional
  - `is_preconfigured` (boolean) — optional
- `fleet_server_hosts` ([] string) — optional
  Protocol and path must be the same for each URL
- `has_seen_add_data_notice` (boolean) — optional

## Responses

#### `200`

OK

`application/json`

- `item` ({})
  - `delete_unenrolled_agents` (object)
    - `enabled` (boolean)
    - `is_preconfigured` (boolean)
  - `fleet_server_hosts` ([] string) — deprecated
  - `has_seen_add_data_notice` (boolean)
  - `id` (string)
  - `prerelease_integrations_enabled` (boolean)
#### `400`

Generic Error

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
PUT /api/fleet/settings
```

#### curl

```curl
curl -X PUT "https://{kibana_url}/api/fleet/settings"
```

